#set the connection type i.e. mysql / mssql
connection_type=mysql
custom_fnb_mysql_job=true

#Update the following 7 properties as per your environment
sql_dbms_server_ip=192.168.1.182
sql_dbms_port=3306
sql_dbms_username=elonmusk
sql_dbms_password=68i3nj7t
sql_database_name=FNB_Custom_RC

fqdn=https://efcx-qa6.expertflow.com
browser_language=en

#mongoDB authentication
mongodb_username=root
mongodb_password=Expertflow123

#mongoDB cluster configs
mongo_host1=mongo-mongodb.ef-external.svc.cluster.local
mongo_port1=27017

mongo_host2=mongo-mongodb.ef-external.svc.cluster.local
mongo_port2=27017

mongo_host3=mongo-mongodb.ef-external.svc.cluster.local
mongo_port3=27017

mongo_host4=mongo-mongodb.ef-external.svc.cluster.local
mongo_port4=27017

mongo_host5=mongo-mongodb.ef-external.svc.cluster.local
mongo_port5=27017

mongo_host6=mongo-mongodb.ef-external.svc.cluster.local
mongo_port6=27017

svc_name=http://ef-historical-reports-svc.expertflow.svc.cluster.local:8081

#Please don't change the values of following properties until there is actual change required.
conversation_manager_db_name=conversation-manager_db
bot_framework_db_name=bot-framework_db
ccm_db_name=ccm_db
routing_engine_db_name=routing-engine_db
cim_customer_db_name=cim_customer
business_calendars_db_name=business_calendars_db
state_events_logger_db_name=state-events-logger_cx_db

#Never change the following values
params_file_path=/root/config/reporting-connector.conf
#mysql_dbms_additional_params=noDatetimeStringSync=false&enabledTLSProtocols=TLSv1.2,TLSv1.1,TLSv1
mysql_dbms_additional_params=noDatetimeStringSync=true&useSSL=true&requireSSL=true&trustServerCertificate=true&clientCertificateKeyStoreUrl=file:///root/config/certs/mykeystore.jks&clientCertificateKeyStorePassword=changeit
sql_dbms_additional_params=
sql_dbms_schema=

batch_limit=1000

upper_limit=10

mongodb_truststore_path=./mongo_truststore.p12
mongodb_truststore_password=Expertflow123
mongodb_keystore_path=./mongo_keystore.p12
mongodb_keystore_password=Expertflow123
